Subject: Re: [PATCH 0/2] fsmonitor: fixup to avoid warnings from pedantic

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Aug 2021 10:11:22 -0700

Carlo Arenas <[email-masked]> writes:

> On Thu, Aug 26, 2021 at 10:37 PM Junio C Hamano <[email-masked]> wrote:
>> Here is what I had to do to work around
>>
>>  https://github.com/git/git/runs/3438543601?check_suite_focus=true#step:5:136
>
> correct; that was 1/2 of the fixups I proposed and were waiting for the reroll.
>
> interesting that the job was able to build without 2/2[1] but it might
> be because clang is even more pedantic.
>
> Carlo
>
> [1] https://lore.kernel.org/git/[email-masked]/

One thing I noticed is that simple-ipc.h can disable itself
altogether with "#ifdef SUPPORTS_SIMPLE_IPC", so the unconditional
use of "enum ipc_active_state" by fsmonitor-ipc.h would still be a
problem.  fsmonitor-ipc.h is included even in help.c so it seems
that with this topic, you practically will not get a working Git at
all with -pedantic when SUPPORTS_SIMPLE_IPC is not true.